package cloud.linktime.market.common;

import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/**
 * Created by anna on 2019/6/13.
 */
public class DateUtil {
  public final static String DEFAULT_DATE_FORMAT = "yyyyMMdd";
  public final static String DEFAULT_DATETIME_FORMAT = "yyyyMMddHHmmss";

  public static String getToday() {
    return getStringDate(null, null);
  }

  public static String getStringDate(Date d, String f) {
    Date date=d;
    String format=f;
    if(date==null){
      date=new Date();
    }
    if(format==null){
      format=DEFAULT_DATE_FORMAT;
    }
    SimpleDateFormat df = new SimpleDateFormat(format);
    return df.format(date);
  }

  public static String getStringDate(Date d, String f,int offsetDays) {
    Calendar cal = Calendar.getInstance();
    cal.setTime(d);
    cal.add(Calendar.DATE, offsetDays);
    return getStringDate(cal.getTime(), f);
  }

  public static void main(String[] args) {
    long datetime = System.currentTimeMillis();
    System.out.println(DateUtil.getStringDate(new Date(),DateUtil.DEFAULT_DATE_FORMAT));
    System.out.println(DateUtil.getStringDate(new Date(datetime),DEFAULT_DATE_FORMAT, -1));
  }
}
