package cloud.linktime.market;

import cloud.linktime.market.common.Constant;

import java.math.BigDecimal;

/**
 * Created by anna on 2019/6/14.
 */
public class RedisOrderValue {
  public BigDecimal paid;
  public Long count;
  public Long orderNum;

  public RedisOrderValue(String value){
    String[] key_list = value.split(Constant.SPLIT);
    this.paid = new BigDecimal(key_list[0]);
    this.count = Long.valueOf(key_list[1]);
    this.orderNum = Long.valueOf(key_list[2]);
  }

  public void setPaid(BigDecimal paid) {
    this.paid = paid;
  }

  public void setCount(Long count) {
    this.count = count;
  }

  public void setOrderNum(Long orderNum) {
    this.orderNum = orderNum;
  }

  public BigDecimal getPaid() {
    return paid;
  }

  public Long getCount() {
    return count;
  }

  public Long getOrderNum() {
    return orderNum;
  }
}
